import platform

from lib_create_env import lib_generate_install_methods, install_pylucene, install_psycopg2

system_str = platform.system()


INSTALLS = [#(key,method, option_str, dict_extra_env)
    ('DISTRIBUTE', 'pip', None, None),
    ('PYCRYPTO', 'pip', None, None),
    ('SSH', 'pip', None, None),
    ('FABRIC', 'pip', None, None),
    ('MERCURIAL', 'pip', None, None),
]

def generate_install_methods(path_locations, src_base, Logger, call_subprocess):    
    return lib_generate_install_methods(path_locations, src_base, Logger, call_subprocess, INSTALLS)
